Bug 1131829 - SSSD couldn't load the configuration database - ldb: module version mismatch
SSSD couldn't load the configuration database - ldb: module version mismatch
Status: RESOLVED DUPLICATE of bug 1131686
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Basesystem
Leap 15.0
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: James McDonough
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-08 11:09 UTC by Martin Caj
Modified: 2019-04-09 11:17 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Caj 2019-04-08 11:09:51 UTC
HI

Today I run zypper up to keep my OpenSUSE leap 15.0 up to date.

After the update and reboot the SSS daemon is not able to start any more.
I did not touch the sssd.conf and it works before.

The status of service looks like this:
rcsssd status
● sssd.service - System Security Services Daemon
   Loaded: loaded (/usr/lib/systemd/system/sssd.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Mon 2019-04-08 11:38:19 CEST; 1h 19min ago
 Main PID: 10003 (code=exited, status=4)

Apr 08 11:38:19 myWS systemd[1]: Starting System Security Services Daemon...
Apr 08 11:38:19 myWS sssd[10003]: ldb: module version mismatch in ../source4/dsdb/samdb/ldb_modules/acl.c : ldb_version=1.2.4 module_version=1.2.3
Apr 08 11:38:19 myWS sssd[10003]: ldb: failed to initialise module /usr/lib64/ldb/samba/acl.so : Unavailable
Apr 08 11:38:19 myWS sssd[10003]: ldb: failed to initialise module /usr/lib64/ldb/samba : Unavailable
Apr 08 11:38:19 myWS sssd[10003]: SSSD couldn't load the configuration database [5]: Input/output error.
Apr 08 11:38:19 myWS systemd[1]: sssd.service: Main process exited, code=exited, status=4/NOPERMISSION
Apr 08 11:38:19 myWS systemd[1]: Failed to start System Security Services Daemon.
Apr 08 11:38:19 myWS systemd[1]: sssd.service: Unit entered failed state.
Apr 08 11:38:19 myWS systemd[1]: sssd.service: Failed with result 'exit-code'.

Information for package sssd:
-----------------------------
Repository     : Main Update Repository         
Name           : sssd                           
Version        : 1.16.1-lp150.2.9.1             
Arch           : x86_64                         
Vendor         : openSUSE                       
Installed Size : 3.3 MiB                        
Installed      : Yes                            
Status         : up-to-date                     
Source package : sssd-1.16.1-lp150.2.9.1.src  

The file /usr/lib64/ldb/samba/acl.so is part of the package samba-dsdb-modules

Information for package samba-dsdb-modules:
-------------------------------------------
Repository     : Main Update Repository                          
Name           : samba-dsdb-modules                              
Version        : 4.7.10+git.124.8d97fe90926-lp150.3.9.1          
Arch           : x86_64                              
Vendor         : openSUSE                                        
Installed Size : 1.1 MiB                                         
Installed      : Yes                                             
Status         : up-to-date                                      
Source package : samba-4.7.10+git.124.8d97fe90926-lp150.3.9.1.src



And then I have only libldb1 and python-ldb packages:
Information for package libldb1:
--------------------------------
Repository     : Main Update Repository        
Name           : libldb1                       
Version        : 1.2.3-lp150.7.2               
Arch           : x86_64                        
Vendor         : openSUSE                      
Installed Size : 343.2 KiB                     
Installed      : Yes                           
Status         : up-to-date                    
Source package : ldb-1.2.3-lp150.7.2.src 

Information for package python-ldb:
-----------------------------------
Repository     : Main Update Repository             
Name           : python-ldb                         
Version        : 1.2.3-lp150.7.2                    
Arch           : x86_64                             
Vendor         : openSUSE                           
Installed Size : 100.3 KiB                          
Installed      : Yes                                
Status         : up-to-date                         
Source package : ldb-1.2.3-lp150.7.2.src   

From the log /var/log/zypp/history I see the problem might be in libldb1 vs sssd.
            2019-04-08 09:12:56|install|libldb1|1.2.3-lp150.7.2|x86_64||download.opensuse.org-oss_1|393b3e6e1c4b3aa57afc309e3ec8b8ac4ea0a5f2e78bbbd8bb30a46d89819df8|


So far I did not find any workaround then just use local user in stand of a ldap user.

Martin